function [Qloadheave] = Bergsoy_wave_load_matrix_heave(Lep)

% 
% Function for the wave load in heave on a hydro-elastic element. The terms
% in the matrix are developed consistent with the element formulation as
% the Hermittan interpolation functions are used. The terms are allocated
% into the [12x12]-matrix at positions associated with the heave motion. 
%
%
% By Axel Wullf Wathne, 2012
%
%


Qloadheave = zeros(12);

Qhmn = (Lep^2/144)*[  36  6*Lep     36   -6*Lep
                     6*Lep   Lep^2  6*Lep   -Lep^2
                      36  6*Lep     36   -6*Lep
                    -6*Lep  -Lep^2 -6*Lep    Lep^2]; 
                
                
Qloadheave([3 6 9 12],[3 6 9 12]) = Qhmn(:,:);

end