function [Wampcos] = Surface_elevation(xe,ye,w)


% Surface elevation

omega0 = (2*pi)/8;     % Mean angle of wave approach
s      = 3;     % Spreading index

g = 9.81;

x   = xe;       % X-positions
y   = ye;       % Y-positions
nel = 4;        % Number of elements modelling one pontoon
npc = 7;        % Number of pontoons



k = (w.^2)/g;


  
% Defining wave angle of approach


nom = 0.1;      % Angle step

omega = -pi/2 : nom*pi : pi/2;

[Direc, Ns, SumDirec, Omega] = cos_directional_spreading_function(nom,omega0,s);

%fspread = (cos(omega(a))^(2*s))

% Sea surface

Wampcos = zeros(nel,npc,length(w));

%Wampsin = zeros(length(y),length(x),length(w));

Wampcospos = zeros(1,length(omega));


for i=1:length(w);              % Loop frequency range
for n=1:npc;                    % Loop pontoons
    for m = 1:nel;              % Loop elements at single pontoon
    for a = 1:length(omega);    % Loop wave angle of approach domain
        
            
            
        
        Wampcospos(a) = Ns*(cos(omega(a)-omega0)^(2*s))*(cos(k(i)*((x(m,n)*sin(omega(a)-omega0))+(y(m,n)*cos(omega(a)-omega0))))); 
    
    end
    
    Wampcos(m,n,i) = trapz(omega,Wampcospos);

    %Wampsin(n,m,i)=sin(k(i)*(x(m)*sin(om0)+y(n)*cos(om0)));

    end

end
end

end
