function [Wampcos] = Surface_elevation2(xe,ye,w,angle,omega0,s)


% Surface elevation developed by integrating the spatial structure of the
% sea state over the lengths and directions of the loaded elements.

% omega0 = 0;     % Mean angle of wave approach
% s      = 5;     % Spreading index

g = 9.81;


nel = 4;        % Number of elements modelling one pontoon
npc = 7;        % Number of pontoons
Lep = 7.5;      % pontoon element length
Nel = 28;       % Number of elements


k = (w.^2)/g;


  
% Defining wave angle of approach


nom = 0.1;      % Angle step

omega = -pi/2 : nom*pi : pi/2;

[Direc, Ns, SumDirec, Omega] = cos_directional_spreading_function(nom,omega0,s);

%fspread = (cos(omega(a))^(2*s))

% Sea surface

Wampcos = zeros(Nel,length(w));

%Wampsin = zeros(length(y),length(x),length(w));

Wampcospos = zeros(1,length(omega));

% Integration over element length

Le = 0:0.1:Lep;

Wampel = zeros(1,length(Le));



for i=1:length(w);              % Loop frequency range
    for m = 1:Nel;              % Loop elements at single pontoon
    for a = 1:length(omega);    % Loop wave angle of approach domain
        for l = 1:length(Le);
            
            Wampel(l) = Ns*(cos(omega(a)-omega0)^(2*s))*(cos(k(i)*(((xe(m)-(Le(l)*sin(angle(m))))*sin(omega(a)-omega0)) + ((ye(m)+Le(l)*cos(angle(m)))*cos(omega(a)-omega0))))); 
        
        end
        
        Wampcospos(a) = trapz(Le,Wampel); 
    
    end
    
    Wampcos(m,i) = (trapz(omega,Wampcospos))/Lep;

    %Wampsin(n,m,i)=sin(k(i)*(x(m)*sin(om0)+y(n)*cos(om0)));

    end

end
end

